#!/bin/sh
#
# stacking with tf_pws0.f:
# 
# Assume that the cross-correlations of each station pair 
# are stored in an individual directory.
# 
# USAGE: do_tf_pws0.cmd
#
# schimmel@ictja.csic.es, 22/12/2010 
#-------------------------------------------------------

# executable:
#==============
tf_pws0="../../tf_pws0"

# remove previous results:
#=========================
\rm -f t*sac* t*in  

dir0=`pwd`

# Loop over station pairs:
#=========================
for ddd in TA*Z_TA*Z
do

cd $dir0"/"$ddd

#write data file names in file tf_pws0ccgnn.in:
#===============================================
ls -1 200*ccgn_*sacn > tf_pws0ccgnn.in

#stack if there are indeed data:
#==============================
if test -s tf_pws0ccgnn.in
then

nline=` wc -l tf_pws0ccgnn.in | awk '{ print $1 }' `
echo " "
echo $nline traces in $ddd"/tf_pws0ccgnn.in" 

#stack if there are more than 10 traces:
#========================================
if [ "$nline" -gt "10" ]
then
$tf_pws0 tf_pws0ccgnn.in wu=2
mv tl.sac tl_"$ddd"_ccgn.sacn
mv tf-pws.sac tf_"$ddd"_pws2_ccgn.sacn
fi

fi

done
# End loop over station pairs
#============================
#
exit
